<?php
/*****************************************************************************
 * Copyright (C) 2014
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/


require_once('liveview.php');


$outstr  = '<!DOCTYPE html>'.PHP_EOL;
$outstr .= '<html>'.PHP_EOL;
$outstr .= ' <head>'.PHP_EOL;
$outstr .= '  <meta http-equiv="content-type" content="text/html; charset=utf-8" />'.PHP_EOL;
$outstr .= '  <title>ThermFerm monitor</title>'.PHP_EOL;
$outstr .= '  <link type="text/css" href="css/style.css" rel="stylesheet" media="all" />'.PHP_EOL;
$outstr .= ' </head>'.PHP_EOL;
$outstr .= ' <body class="page">'.PHP_EOL;
$outstr .= '  <div id="container" class="container_16">'.PHP_EOL;
$outstr .= '   <div id="header">'.PHP_EOL;
$outstr .= '    <div id="logo">'.PHP_EOL;
$outstr .= '     <img src="images/thermferm_logo.png" width="94" height="80">'.PHP_EOL;
$outstr .= '    </div>'.PHP_EOL;
$outstr .= '    <button class="script-status ui-state-error"></button>'.PHP_EOL;
$outstr .= '    <button id="maintenance" class="ui-state-default">Maintenance panel</button>'.PHP_EOL;
$outstr .= '   </div> <!-- header -->'.PHP_EOL;
$outstr .= '   <div id="content">'.PHP_EOL;
$outstr .= liveview();
$outstr .= '   </div> <!-- content -->'.PHP_EOL;
$outstr .= '  </div> <!-- container -->'.PHP_EOL;
$outstr .= ' </body>'.PHP_EOL;
$outstr .= '</html>'.PHP_EOL;

echo $outstr;

